Bug 518536 - virt-manager's 'Delete Virtual Machine' menu item should be insensitive when the guest is running
Summary: virt-manager's 'Delete Virtual Machine' menu item should be insensitive when ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: rawhide
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F12VirtTarget
TreeView+ depends on / blocked
 
Reported: 2009-08-20 19:42 UTC by Eric Paris
Modified: 2009-09-14 16:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-14 16:03:51 UTC


Attachments (Terms of Use)

Description Eric Paris 2009-08-20 19:42:22 UTC
virt-manager-0.8.0-2.fc12.noarch

Start a vm.
Select the vm.
Go to edit->delete virtual machine.

It does nothing.

It should give you an error that it will not delete a running vm.

Comment 1 Mark McLoughlin 2009-08-21 07:15:40 UTC
Actually, the menu item used to be insensitive when the guest was running. We should re-instate that behaviour

Comment 2 Cole Robinson 2009-09-14 16:03:51 UTC
Fixed in virt-manager-0.8.0-3.fc12


Note You need to log in before you can comment on or make changes to this bug.